## tls-parser 1.2.2

=== requirements.txt ===
typing; python_version < '3.5'
enum34; python_version < '3.4'

=== debian/changelog ===
tls-parser (1.2.2-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * New upstream version 1.2.2

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 04 Jun 2020 15:06:42 +0200

tls-parser (1.2.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 15 Feb 2019 12:16:33 +0100

=== debian/control ===
Source: tls-parser
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools
Standards-Version: 4.3.0
Homepage: https://github.com/nabla-c0d3/tls_parser
Vcs-Browser: https://gitlab.com/kalilinux/packages/tls-parser
Vcs-Git: https://gitlab.com/kalilinux/packages/tls-parser.git
Testsuite: autopkgtest-pkg-python

Package: python3-tls-parser
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Small library to parse TLS records (Python 3)
 This package contains a small library to parse TLS records, used by SSLyze.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=tls-parser

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%tls-parser-$1.tar.gz%" \
   https://github.com/nabla-c0d3/tls_parser/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## tls-parser 2.0.0

=== debian/changelog ===
tls-parser (2.0.0-0kali1~jan+nus1) kali-bleeding-edge; urgency=low

  * New upstream release.
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Wed, 13 Apr 2022 01:27:14 -0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/nabla-c0d3/tls_parser
 Vcs-Browser: https://gitlab.com/kalilinux/packages/tls-parser
 Vcs-Git: https://gitlab.com/kalilinux/packages/tls-parser.git

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+# output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME=tls-parser

## tls-parser 2.0.2

=== debian/changelog ===
tls-parser (2.0.2-1kaisen) kaisen-packages; urgency=medium

  * Import 2.0.2 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 09 Aug 2025 21:13:58 +0100

tls-parser (2.0.1-1kaisen) kaisen-packages; urgency=medium

  * Import 2.0.1 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 19 Mar 2023 22:39:24 +0100

tls-parser (2.0.0-1kaisen) kaisen-packages; urgency=medium

  * Import 2.0.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 09 Jan 2022 03:51:23 +0100

tls-parser (1.2.2-1kaisen1) kaisen-packages; urgency=medium

  * First packaging for Kaisen Linux (required by sslyze)

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 26 Mar 2021 00:44:54 +0200

=== debian/control ===
Source: tls-parser
Section: python
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools
Standards-Version: 4.6.0
Homepage: https://github.com/nabla-c0d3/tls_parser
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/tls-parser
Vcs-Git: https://gitlab.com/kaisenlinux/packages/tls-parser.git

Package: python3-tls-parser
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Small library to parse TLS records (Python 3)
 This package contains a small library to parse TLS records, used by SSLyze.
 .
 This package installs the library for Python 3.
